org.keycloak.services.messages

## Class Messages

- java.lang.Object
- - org.keycloak.services.messages.Messages

-     public class Messages
      extends Object

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCOUNT_DISABLED`
    `static String` | `ACCOUNT_TEMPORARILY_DISABLED`
    `static String` | `ACTION_WARN_EMAIL`
    `static String` | `ACTION_WARN_PASSWD`
    `static String` | `ACTION_WARN_PROFILE`
    `static String` | `ACTION_WARN_TOTP`
    `static String` | `EMAIL_EXISTS`
    `static String` | `ERROR`
    `static String` | `INVALID_EMAIL`
    `static String` | `INVALID_PASSWORD`
    `static String` | `INVALID_PASSWORD_CONFIRM`
    `static String` | `INVALID_PASSWORD_EXISTING`
    `static String` | `INVALID_SOCIAL_ACTION`
    `static String` | `INVALID_TOTP`
    `static String` | `INVALID_USER`
    `static String` | `MISSING_EMAIL`
    `static String` | `MISSING_FIRST_NAME`
    `static String` | `MISSING_LAST_NAME`
    `static String` | `MISSING_PASSWORD`
    `static String` | `MISSING_SOCIAL_PROVIDER`
    `static String` | `MISSING_TOTP`
    `static String` | `MISSING_USERNAME`
    `static String` | `NOTMATCH_PASSWORD`
    `static String` | `READ_ONLY_PASSWORD`
    `static String` | `READ_ONLY_USER`
    `static String` | `SOCIAL_LINK_NOT_ACTIVE`
    `static String` | `SOCIAL_PROVIDER_NOT_FOUND`
    `static String` | `SOCIAL_PROVIDER_REMOVED`
    `static String` | `SOCIAL_REDIRECT_ERROR`
    `static String` | `SOCIAL_REMOVING_LAST_PROVIDER`
    `static String` | `USERNAME_EXISTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Messages()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACCOUNT_DISABLED

          public static final String ACCOUNT_DISABLED

      See Also:
        Constant Field Values

    - #### ACCOUNT_TEMPORARILY_DISABLED

          public static final String ACCOUNT_TEMPORARILY_DISABLED

      See Also:
        Constant Field Values

    - #### INVALID_PASSWORD

          public static final String INVALID_PASSWORD

      See Also:
        Constant Field Values

    - #### INVALID_PASSWORD_EXISTING

          public static final String INVALID_PASSWORD_EXISTING

      See Also:
        Constant Field Values

    - #### INVALID_PASSWORD_CONFIRM

          public static final String INVALID_PASSWORD_CONFIRM

      See Also:
        Constant Field Values

    - #### INVALID_EMAIL

          public static final String INVALID_EMAIL

      See Also:
        Constant Field Values

    - #### INVALID_USER

          public static final String INVALID_USER

      See Also:
        Constant Field Values

    - #### READ_ONLY_USER

          public static final String READ_ONLY_USER

      See Also:
        Constant Field Values

    - #### READ_ONLY_PASSWORD

          public static final String READ_ONLY_PASSWORD

      See Also:
        Constant Field Values

    - #### MISSING_EMAIL

          public static final String MISSING_EMAIL

      See Also:
        Constant Field Values

    - #### MISSING_FIRST_NAME

          public static final String MISSING_FIRST_NAME

      See Also:
        Constant Field Values

    - #### MISSING_LAST_NAME

          public static final String MISSING_LAST_NAME

      See Also:
        Constant Field Values

    - #### MISSING_PASSWORD

          public static final String MISSING_PASSWORD

      See Also:
        Constant Field Values

    - #### NOTMATCH_PASSWORD

          public static final String NOTMATCH_PASSWORD

      See Also:
        Constant Field Values

    - #### MISSING_USERNAME

          public static final String MISSING_USERNAME

      See Also:
        Constant Field Values

    - #### MISSING_TOTP

          public static final String MISSING_TOTP

      See Also:
        Constant Field Values

    - #### INVALID_TOTP

          public static final String INVALID_TOTP

      See Also:
        Constant Field Values

    - #### USERNAME_EXISTS

          public static final String USERNAME_EXISTS

      See Also:
        Constant Field Values

    - #### EMAIL_EXISTS

          public static final String EMAIL_EXISTS

      See Also:
        Constant Field Values

    - #### ACTION_WARN_TOTP

          public static final String ACTION_WARN_TOTP

      See Also:
        Constant Field Values

    - #### ACTION_WARN_PROFILE

          public static final String ACTION_WARN_PROFILE

      See Also:
        Constant Field Values

    - #### ACTION_WARN_PASSWD

          public static final String ACTION_WARN_PASSWD

      See Also:
        Constant Field Values

    - #### ACTION_WARN_EMAIL

          public static final String ACTION_WARN_EMAIL

      See Also:
        Constant Field Values

    - #### MISSING_SOCIAL_PROVIDER

          public static final String MISSING_SOCIAL_PROVIDER

      See Also:
        Constant Field Values

    - #### INVALID_SOCIAL_ACTION

          public static final String INVALID_SOCIAL_ACTION

      See Also:
        Constant Field Values

    - #### SOCIAL_PROVIDER_NOT_FOUND

          public static final String SOCIAL_PROVIDER_NOT_FOUND

      See Also:
        Constant Field Values

    - #### SOCIAL_LINK_NOT_ACTIVE

          public static final String SOCIAL_LINK_NOT_ACTIVE

      See Also:
        Constant Field Values

    - #### SOCIAL_REMOVING_LAST_PROVIDER

          public static final String SOCIAL_REMOVING_LAST_PROVIDER

      See Also:
        Constant Field Values

    - #### SOCIAL_REDIRECT_ERROR

          public static final String SOCIAL_REDIRECT_ERROR

      See Also:
        Constant Field Values

    - #### SOCIAL_PROVIDER_REMOVED

          public static final String SOCIAL_PROVIDER_REMOVED

      See Also:
        Constant Field Values

    - #### ERROR

          public static final String ERROR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Messages

          public Messages()

Copyright © 2014. All Rights Reserved.